ZIP_SOURCE_CLOSE(3)

NAME
zip_source_close - open zip_source (which was open for reading)

LIBRARY
libzip (-lzip)

SYNOPSIS
zip.h int zip_source_close zip_source_t *source

DESCRIPTION
The function zip_source_close closes source, indicating that no more data will be read.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

SEE ALSO
libzip(3), zip_source(3), zip_source_free(3), zip_source_open(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>